import { EventEmitter, OnInit, AfterViewInit, ViewContainerRef, ElementRef, Injector } from '@angular/core';
import { FormDragTemplateDirective } from '../../formdirective/form-drag-template.directive';
import { BoxInfo, ShowBoxInfo } from '../../model/boxInfo';
import { CommonService } from '../../service/common.service';
import * as i0 from "@angular/core";
export declare class FormAreaComponent implements OnInit, AfterViewInit {
    private commonService;
    private el;
    private inject;
    template: FormDragTemplateDirective;
    aftershadow: ViewContainerRef;
    name: string;
    mode: string;
    originalLayout: ShowBoxInfo[];
    ismain: boolean;
    showOptions: boolean;
    onaddrow: EventEmitter<boolean>;
    onremoverow: EventEmitter<string>;
    get realLayOut(): BoxInfo[];
    constructor(commonService: CommonService, el: ElementRef, inject: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private createComponent;
    private findCompIndex;
    private cancelShadow;
    private findTheReallayout;
    private findTheRealArea;
    private getTheView;
    private removeTheView;
    addRow(e: any): void;
    removeRow(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormAreaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormAreaComponent, "form-area", never, { "name": "name"; "mode": "mode"; "originalLayout": "originalLayout"; }, { "onaddrow": "onaddrow"; "onremoverow": "onremoverow"; }, never, never>;
}
